Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.relateddomainext
Class EPPRelatedDomainExtFactory

    java.lang.Object
      com.verisign.epp.codec.gen.EPPExtFactory
          com.verisign.epp.codec.relateddomainext.EPPRelatedDomainExtFactory

    public class EPPRelatedDomainExtFactory

extends EPPExtFactory

The EPPCodec Extension Factory that needs to be configured to encode/decode Related Domain extensions. The RelatedDomain URI is: http://www.verisign.com/epp/relatedDomain-1.0

Title: EPP 1.0 RelatedDomain

Description: RelatedDomain Extension to the EPP SDK

Copyright: Copyright (c) 2013

Company: VeriSign

Version:
  1.0
Author:
  nchigurupati

Field Summary
`static java.lang.String` | `NS` Namespace URI associated with EPPRelatedDomainExtFactory.
`static java.lang.String` | `NS_PREFIX` Namespace prefix associated with EPPRelatedDomainExtFactory.
`static java.lang.String` | `NS_SCHEMA` EPP Related Domain XML Schema.

Constructor Summary
`EPPRelatedDomainExtFactory()` Create a new instance of EPPRelatedDomainExtFactory

Method Summary
`EPPCodecComponent` | `createExtension(org.w3c.dom.Element aExtensionElm)` Creates the concrete Related Domain ext instance when decoding XML that contains a Related Domain Extension.
`EPPProtocolExtension` | `createProtocolExtension(org.w3c.dom.Element aExtensionElm)` Overridden but doesn't do anything in the context of Related Domain.
`EPPService` | `getService()` Returns the EPPService instance associated with this ExtFactory.
`java.util.Set` | `getXmlSchemas()` Gets the list of XML schemas that need to be pre-loaded into the XML Parser.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NS

    public static final java.lang.String NS

  Namespace URI associated with EPPRelatedDomainExtFactory.

  See Also:
    Constant Field Values

### NS_PREFIX

    public static final java.lang.String NS_PREFIX

  Namespace prefix associated with EPPRelatedDomainExtFactory.

  See Also:
    Constant Field Values

### NS_SCHEMA

    public static final java.lang.String NS_SCHEMA

  EPP Related Domain XML Schema.

  See Also:
    Constant Field Values

Constructor Detail

### EPPRelatedDomainExtFactory

    public EPPRelatedDomainExtFactory()

  Create a new instance of EPPRelatedDomainExtFactory

Method Detail

### createExtension

    public EPPCodecComponent createExtension(org.w3c.dom.Element aExtensionElm)
                                      throws EPPCodecException

  Creates the concrete Related Domain ext instance when decoding XML that contains a Related Domain Extension.

  Specified by:
    `createExtension` in class `EPPExtFactory`
  Parameters:
    `aExtensionElm` - The DOM element that is a parent to the Related Domain XML fragment
  Returns:
    A concrete EPPCodecComponet that knows how to decode itself from the rest of the DOM document.
  Throws:
    `EPPCodecException` - Thrown if an unrecognized related domain element is found below the passed in extension element

### createProtocolExtension

    public EPPProtocolExtension createProtocolExtension(org.w3c.dom.Element aExtensionElm)
                                                 throws EPPCodecException

  Overridden but doesn't do anything in the context of Related Domain. Throws an EPPCodecException if called

  Specified by:
    `createProtocolExtension` in class `EPPExtFactory`
  Parameters:
    `aExtensionElm` -
  Returns:
    nothing
  Throws:
    `EPPCodecException`

### getService

    public EPPService getService()

  Returns the EPPService instance associated with this ExtFactory. The EPPService instance contains the XML Namespace and XML Schema location

  Specified by:
    `getService` in class `EPPExtFactory`
  Returns:
    the EPPService instance associated with this ExtFactory

### getXmlSchemas

    public java.util.Set getXmlSchemas()

  Gets the list of XML schemas that need to be pre-loaded into the XML Parser.

  Overrides:
    `getXmlSchemas` in class `EPPExtFactory`
  Returns:
    `Set` of `String` XML Schema names that should be pre-loaded in the XML Parser.
  See Also:
    `EPPMapFactory.getXmlSchemas()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.